<?xml version="1.0" encoding="gb2312"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:rs="urn:schemas-microsoft-com:rowset"
xmlns:z="#RowsetSchema"> 
	<!--
	Copyright (C) 2004,2005 LaoMiao. All rights reserved.
	Web: http://www.shuijingjing.com/
	Email: laomiao@shuijingjing.com
	-->
	<xsl:output method="html" indent="yes" version="4.0"/>
	<xsl:variable name="TableTop"><![CDATA[<tr><td class="tablebody1" align="center"><table cellspacing="0" cellpadding="0" border="0" width="570"><tr>]]></xsl:variable>
	<xsl:variable name="TableMiddle"><![CDATA[<td width="10"></td>]]></xsl:variable>
	<xsl:variable name="TableBottom"><![CDATA[</tr></table></td></tr>]]></xsl:variable>
	<xsl:variable name="BigItem"><![CDATA[</tr><tr>]]></xsl:variable>
	<xsl:variable name="PhotoPrice"><xsl:choose><xsl:when test="/Plus_Avatar/CurrentUserInfo/@MyVip != '1'"><xsl:value-of select="/Plus_Avatar/AvatarInfo/@NormalPhotoPrice"/></xsl:when><xsl:otherwise><xsl:value-of select="/Plus_Avatar/AvatarInfo/@VIPPhotoPrice"/></xsl:otherwise></xsl:choose></xsl:variable>
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="/">
		<script type="text/javascript" language="javascript">
			var RecFlag = getCookie("RecFlag_<xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MyUserID"/>");	
			if(!RecFlag) RecFlag = 0;
			var isLoaded = 0;
		</script>
		<style type="text/css">
		td.ToolbarUp {border-left:2px solid #e0e0e0;border-top:2px solid #e0e0e0;border-right:2px solid #808080;border-bottom:2px solid #808080;background-color:#c0c0c0;}
		td.ToolbarDown {border-left:2px solid #808080;border-top:2px solid #808080;border-right:2px solid #e0e0e0;border-bottom:2px solid #e0e0e0;background-color:#c0c0c0;}
		</style>
		<table cellpadding="2" cellspacing="1" align="center" class="tableborder1">
			<tr height="25">
				<th id="tabletitlelink" colspan="2"><xsl:value-of select="/Plus_Avatar/@ForumName"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>--<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="/Plus_Avatar/@ProductName"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>Version<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="/Plus_Avatar/@Version"/></th>
			</tr>
			<tr valign="top">
				<td align="center" class="tablebody2" width="180">
					<table cellspacing="1" cellpadding="1" border="0" align="center" class="tableborder1" style="width:180">
						<col width="80"/><col width="100"/>
						<tr height="355">
							<td colspan="2" align="center" class="tablebody2"><script type="text/javascript" language="javascript">AvatarDesign(<xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MyUserID"/>,'<xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MyAvatar"/>',<xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MySex"/>,<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurMySex"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@LocalPic"/>,'<xsl:value-of select="/Plus_Avatar/AvatarInfo/@PicPath"/>',<xsl:value-of select="/Plus_Avatar/AvatarInfo/@AvatarWidth"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@AvatarHeight"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@BoyEmotXiItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@BoyEmotNuItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@BoyEmotAiItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@BoyEmotLeItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@GirlEmotXiItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@GirlEmotNuItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@GirlEmotAiItemNo"/>,<xsl:value-of select="/Plus_Avatar/AvatarInfo/@GirlEmotLeItemNo"/>,'<xsl:value-of select="/Plus_Avatar/AvatarInfo/@EmotLayerStr"/>');</script></td>
						</tr>
						<tr height="20">
							<td colspan="2" class="tablebody1" align="center">
								<table cellpadding="0" cellspacing="0" border="0" align="center" style="table-layout:fixed;word-break:break-all">
									<tr height="22">
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/Copy.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" onclick="return GetCookieAvatar('Plus_Avatar_Copy.asp?avatar=$$UserAvaSetting$$')" oncontextmenu="return false" title="复制当前形象" style="cursor:pointer;filter:gray"/></td>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/Paste.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" onclick="return GetClipboardAvatar('Plus_Avatar_Paste.asp?avatar=$$UserAvaSetting$$&amp;mysex={/Plus_Avatar/CurrentInfo/@CurMySex}')" oncontextmenu="return false" title="从将剪贴板中粘贴形象" style="cursor:pointer;filter:gray"/></td>
										<xsl:choose>
										<xsl:when test="/Plus_Avatar/AvatarInfo/@AllowFace = '1'">
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/Save.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event);showmenu(event,'&lt;div class=\'menuitems\'&gt;&lt;a href=javascript:PlusOpen(\'Plus_Avatar_Save.asp?UserIsAva=0\',500,400) onclick=\'return SaveAvatar({/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})\'&gt;保存后使用我的头像&lt;/a&gt;&lt;br&gt;&lt;a href=javascript:PlusOpen(\'Plus_Avatar_Save.asp?UserIsAva=1\',500,400) onclick=\'return SaveAvatar({/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})\'&gt;保存后使用腾讯型形象&lt;/a&gt;&lt;/div&gt;');" onmouseout="UnSelectToolbarItem(event);delayhidemenu();" oncontextmenu="return false" title="保存当前形象" style="cursor:pointer;filter:gray"/></td>
										</xsl:when>
										<xsl:otherwise>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/Save.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event);delayhidemenu();" onclick="if(SaveAvatar({/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})) PlusOpen('Plus_Avatar_Save.asp?UserIsAva=0',500,400)" oncontextmenu="return false" title="保存当前形象" style="cursor:pointer;filter:gray"/></td>
										</xsl:otherwise>
										</xsl:choose>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/Restore.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" onclick="RestoreAvatar({/Plus_Avatar/CurrentUserInfo/@MyUserID},{/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})" oncontextmenu="return false" title="恢复形象到上次保存状态" style="cursor:pointer;filter:gray"/></td>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/Clear.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" onclick="DeleteAvatar({/Plus_Avatar/CurrentUserInfo/@MyUserID},{/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})" oncontextmenu="return false" title="清除当前形象" style="cursor:pointer;filter:gray"/></td>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/OtherSex.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" oncontextmenu="return false" style="cursor:pointer;filter:gray">
										<xsl:choose>
										<xsl:when test="/Plus_Avatar/CurrentUserInfo/@MyUserID = '0'">
											<xsl:choose>
											<xsl:when test="/Plus_Avatar/CurrentUserInfo/@MySex='1'">
												<xsl:attribute name="onclick">document.location='Plus_Avatar_Center.asp?mysex=0&amp;shopid='+CurShopID;</xsl:attribute>
												<xsl:attribute name="title">我是女生</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="onclick">document.location='Plus_Avatar_Center.asp?mysex=1&amp;shopid='+CurShopID;</xsl:attribute>
												<xsl:attribute name="title">我是男生</xsl:attribute>
											</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
											<xsl:when test="/Plus_Avatar/CurrentInfo/@CurMySex = /Plus_Avatar/CurrentUserInfo/@MySex">
												<xsl:choose>
												<xsl:when test="/Plus_Avatar/CurrentUserInfo/@MySex = '1'">
													<xsl:attribute name="onclick">document.location='Plus_Avatar_Center.asp?mysex=0&amp;shopid='+CurShopID;</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="onclick">document.location='Plus_Avatar_Center.asp?mysex=1&amp;shopid='+CurShopID;</xsl:attribute>
												</xsl:otherwise>
												</xsl:choose>
												<xsl:attribute name="title">异性形象</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="onclick">document.location='Plus_Avatar_Center.asp?mysex=<xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MySex"/>&amp;shopid='+CurShopID;</xsl:attribute>
												<xsl:attribute name="title">同性形象</xsl:attribute>
											</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise>
										</xsl:choose>
										</img></td>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/PhotoMyself.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" onclick="return ConfirmPhotoMe({$PhotoPrice},{/Plus_Avatar/CurrentUserInfo/@MyMoney},{/Plus_Avatar/CurrentUserInfo/@MyUserID},{/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})" oncontextmenu="return false" title="以当前形象进行个人写真" style="cursor:pointer;filter:gray"/></td>
										<td width="22" align="center" class="ToolbarUp"><img src="Dv_Plus/Avatar/Pic/PhotoGroup.gif" border="0" width="16" height="16" onmouseover="SelectToolbarItem(event)" onmouseout="UnSelectToolbarItem(event)" onclick="return ConfirmPhotoGroup({/Plus_Avatar/CurrentUserInfo/@MyUserID},{/Plus_Avatar/CurrentUserInfo/@MySex},{/Plus_Avatar/CurrentInfo/@CurMySex})" oncontextmenu="return false" title="以当前形象发出合影请求" style="cursor:pointer;filter:gray"/></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr height="35">
							<td colspan="2" class="tablebody2" align="center"><input type="button" onclick="javascript:PlusOpen('Plus_Avatar_cartbag.asp',500,440)" value="查看购物袋"/></td>
						</tr>
						<tr height="35" id="ClearFavorite" style="display:none">
							<td colspan="2" class="tablebody2" align="center"><input type="button" name="clear" value="清除收藏夹" onclick="if(confirm('您确定立即清除收藏夹吗？')) PlusOpen('Plus_Avatar_Favorite.asp?action=clear',500,400);"/></td>
						</tr>
						<tr height="25">
							<td align="right" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>性别：</td>
							<td align="left" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentUserInfo/@MySex='1'">男</xsl:when><xsl:otherwise>女</xsl:otherwise></xsl:choose></td>
						</tr>
						<tr height="25">
							<td align="right" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>属性：</td>
							<td align="left" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:choose><xsl:when test="/Plus_Avatar/CurrentUserInfo/@MyVip!='1'">普通</xsl:when><xsl:otherwise><font color="red"><b>VIP</b></font></xsl:otherwise></xsl:choose>会员</td>
						</tr>
						<tr height="25">
							<td align="right" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>等级：</td>
							<td align="left" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MyClass"/></td>
						</tr>
						<tr height="25">
							<td align="right" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>现金：</td>
							<td align="left" class="tablebody1"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><span id="MyMoneySpan"><xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@MyMoney"/></span><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>元</td>
						</tr>
						<xsl:if test="/Plus_Avatar/CurrentUserInfo/@MyUserID != '0' and /Plus_Avatar/AvatarInfo/@AllowRemoteCreatePhoto != '0'">
						<xsl:choose>
						<xsl:when test="/Plus_Avatar/CurrentUserInfo/@IsMaster = '1'">
							<tr height="35">
								<td align="center" colspan="2" class="tablebody1"><input type="button" value="查看服务日志……" title="查看所有用户远程生成照片的详细记录" onclick="window.open('Plus_Avatar_RemoteCreate.asp?action=3','_blank')"/></td>
							</tr>
						</xsl:when>
						<xsl:when test="/Plus_Avatar/CurrentUserInfo/@HasRemoteAccount != '0'">
							<tr height="35">
								<td align="center" colspan="2" class="tablebody1"><input type="button" value="修改服务信息……" title="修改远程生成照片帐号的用户信息" onclick="PlusOpen('Plus_Avatar_RemoteCreate.asp?action=2',500,400)"/></td>
							</tr>
							<tr height="35">
								<td align="center" colspan="2" class="tablebody1"><input type="button" value="查看服务日志……" title="查看远程生成照片的详细记录" onclick="window.open('Plus_Avatar_RemoteCreate.asp?action=3','_blank')"/></td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr height="35">
								<td align="center" colspan="2" class="tablebody1"><input type="button" value="申请服务帐号……" title="申请一个用于远程生成照片的帐号" onclick="PlusOpen('Plus_Avatar_RemoteCreate.asp?action=1',500,400)"/></td>
							</tr>
						</xsl:otherwise>
						</xsl:choose>
						</xsl:if>
						<xsl:if test="/Plus_Avatar/CurrentUserInfo/@ToolByUser != ''">
						<tr height="35">
							<td align="center" colspan="2" class="tablebody2">正被<font color="red"><b><xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@ToolByUser"/></b></font>整蛊中……<br/>到期时间：<xsl:choose><xsl:when test="/Plus_Avatar/CurrentUserInfo/@ToolPeriod = '0'"><font color="red">永不过期</font></xsl:when><xsl:when test="/Plus_Avatar/CurrentUserInfo/@ToolPeriod = '-1'">已经过期</xsl:when><xsl:otherwise><b><xsl:value-of select="/Plus_Avatar/CurrentUserInfo/@ToolPeriod"/></b></xsl:otherwise></xsl:choose></td>
						</tr>
						<tr height="35">
							<td align="center" colspan="2" class="tablebody1"><input type="button" value="破财消灾……" title="花钱消除此次整蛊" onclick="PlusOpen('Plus_Avatar_UseTools.asp?action=1',500,400)"/></td>
						</tr>
						<tr height="35">
							<td align="center" colspan="2" class="tablebody1"><input type="button" value="免留后患……" title="花钱消除此次整蛊，同时购买该物品以免以后被同样的物品整蛊" onclick="PlusOpen('Plus_Avatar_UseTools.asp?action=2',500,400)"/></td>
						</tr>
						<tr height="35">
							<td align="center" colspan="2" class="tablebody1"><input type="button" value="以牙还牙……" title="花钱消除此次整蛊，同时将该物品以同等期限整蛊对方" onclick="PlusOpen('Plus_Avatar_UseTools.asp?action=3',500,400)"/></td>
						</tr>
						</xsl:if>
					</table>
				</td>
				<td align="center" valign="top" class="tablebody1"><iframe id="AvatarFrame" width="100%" height="0" frameborder="0" scrolling="no" allowtransparency="true" src="about:blank"></iframe></td>
			</tr>
		</table>
		<script type="text/javascript" for="window" event="onload" language="javascript">
			document.getElementById("AvatarFrame").src="Plus_Avatar_Items.asp?shopid=<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurShopID"/>&amp;mysex=<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurMySex"/>&amp;sex=<xsl:value-of select="/Plus_Avatar/CurrentInfo/@CurSex"/>";
		</script>
	</xsl:template>
</xsl:stylesheet>